Subject: bug#32029: [PATCH] xref-find-definitions-at-mouse

From: Tobias Gerdin <[email-masked]>
Date: Wed, 4 Jul 2018 10:03:31 +0200

Den 2018-07-03 kl. 15:15, skrev Dmitry Gutov:
>> I think this can be written much shorter (call mouse-set-point, then 
>> interactively call xref-find-definitions), but I'm not sure how.
Actually, since the mark will be saved before the jump if one could 
arrange for saving the mark before the call to mouse-set-point and not 
saving it again before jumping the call to save-excursion would not be 
needed and xref-find-definitions could be called interactively. It 
appears that pushing the mark is set all the way down in 
`xref--show-xrefs` though, so unless setting this is parameterized 
somehow it does not look straigthforward to me. And not worth it in this 
case IMO.